/**
 * 公共组件弹框
 */
import React from 'react';
import { Modal } from 'antd';
import '../style/index.less';
import ConfigOutReg from 'pages/orderdiatemplet/ConfigOutReg';

class ShowAssessmentModal extends React.Component {

  constructor(props) {
    super(props);
    var userData = JSON.parse(sessionStorage.getItem('userData'));
    this.state = {
      userData: userData,
    }
  }

  closeModal(name) {
    let { onHide } = this.props;
    onHide && onHide();
  }

  render() {
    return (
      <div>
        <Modal className='show-assessmen-modal'
          title="门诊挂号评估单配置"
          maskClosable={false}
          visible={this.props.isShow}
          onCancel={this.closeModal.bind(this)}
          footer={null}
        >
          <ConfigOutReg
            admID={this.props.assessID}
            clearModal={this.closeModal.bind(this)}
          />
        </Modal>
      </div>
    )
  }
}

export default ShowAssessmentModal;